<template>
    <div>
        <breadcrumb-component title="Contas bancárias" :pages="breadPages"/>

        <panel-component title="Editar conta bancária" length="8">

            <form-bank :formData="formData" :isUpdate="true"></form-bank>

        </panel-component>
    </div>
</template>

<script>
    import FormBankComponent from './FormBankComponent'

    export default {
        props: {
            id: {
                require: true
            }
        },
        components: {
            FormBank: FormBankComponent
        },

        data() {
            return {
                formData: {},
                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'banks', name: 'Financeiro', active: false},
                    {link: 'banks', name: 'Contas bancárias', active: false},
                    {link: 'banks.create', name: 'Cadastrar', active: true},
                ]
            }
        },
        created() {
            this.$store.dispatch('loadBank', this.id)
                .then(response => {
                    this.formData = response.bank
                })
                .catch(() => {
                    this.$snotify.error('Conta não encontrada', '404')
                    this.$router.push({name: 'banks'})
                })
        }

    }
</script>